org.richfaces.fragment.calendar

## Class TimeEditor

- java.lang.Object
- - org.richfaces.fragment.calendar.TimeEditor

-     public class TimeEditor
      extends Object

  Component for editing calendar's time
  Author:
    Jiri Stefek

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TimeEditor.SetValueBy`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimeEditor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cancelTime()`
    `void` | `confirmTime()`
    `org.openqa.selenium.WebElement` | `getCancelButtonElement()`
    `protected int` | `getDefaultHours()`
    `protected int` | `getDefaultMinutes()`
    `protected int` | `getDefaultSeconds()`
    `protected TimeSpinner.TimeSpinner12` | `getHoursSpinner12()`
    `protected TimeSpinner.TimeSpinner24` | `getHoursSpinner24()`
    `org.openqa.selenium.WebElement` | `getOkButtonElement()`
    `org.openqa.selenium.WebElement` | `getRootElement()`
    `org.joda.time.DateTime` | `getTime()`
    `long` | `getTimeoutForTimeEditorToBeNotVisible()`
    `long` | `getTimeoutForTimeEditorToBeVisible()`
    `boolean` | `isVisible()`
    `TimeEditor` | `setTime(org.joda.time.DateTime time, TimeEditor.SetValueBy inputType)`
    `void` | `setTimeouFortTimeEditorIsNotVisible(long timeoutInMilliseconds)`
    `void` | `setTimeoutForTimeEditorToBeVisible(long timeoutInMilliseconds)`
    `WaitingWrapper` | `waitUntilIsNotVisible()`
    `WaitingWrapper` | `waitUntilIsVisible()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TimeEditor

          public TimeEditor()

  - ### Method Detail

    - #### getRootElement

          public org.openqa.selenium.WebElement getRootElement()

    - #### getDefaultHours

          protected int getDefaultHours()

    - #### getDefaultMinutes

          protected int getDefaultMinutes()

    - #### getDefaultSeconds

          protected int getDefaultSeconds()

    - #### getHoursSpinner12

          protected TimeSpinner.TimeSpinner12 getHoursSpinner12()

    - #### getHoursSpinner24

          protected TimeSpinner.TimeSpinner24 getHoursSpinner24()

    - #### cancelTime

          public void cancelTime()

    - #### confirmTime

          public void confirmTime()

    - #### getCancelButtonElement

          public org.openqa.selenium.WebElement getCancelButtonElement()

    - #### getOkButtonElement

          public org.openqa.selenium.WebElement getOkButtonElement()

    - #### getTime

          public org.joda.time.DateTime getTime()

    - #### isVisible

          public boolean isVisible()

    - #### setTime

          public TimeEditor setTime(org.joda.time.DateTime time,
                                    TimeEditor.SetValueBy inputType)

    - #### setTimeouFortTimeEditorIsNotVisible

          public void setTimeouFortTimeEditorIsNotVisible(long timeoutInMilliseconds)

    - #### getTimeoutForTimeEditorToBeNotVisible

          public long getTimeoutForTimeEditorToBeNotVisible()

    - #### setTimeoutForTimeEditorToBeVisible

          public void setTimeoutForTimeEditorToBeVisible(long timeoutInMilliseconds)

    - #### getTimeoutForTimeEditorToBeVisible

          public long getTimeoutForTimeEditorToBeVisible()

    - #### waitUntilIsNotVisible

          public WaitingWrapper waitUntilIsNotVisible()

    - #### waitUntilIsVisible

          public WaitingWrapper waitUntilIsVisible()

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.